Subject: Re: Herb Garden worth visiting

From: Bill Schoenbart <[email-masked]>
Date: Fri, 24 Mar 1995 18:29:44 GMT

[email-masked] (GrnThm) wrote:
>
> Hi everyone
> 
> I came across an Herb book I picked up on vacation last summer and thought
> I would pass along a fun travel stop for anyone passing by the Ithica NY
> area this summer. 
> 
> Last July, on our way to Niagara Falls, my husband and I stayed in the
> Ithaca area for a night on the way.  And in our travels to find lodging,
> we came across Cornell University and rode around the campus and came
> across their horticulture area.  Way in the back we came across their herb
> garden.  It is spectacular.  They have everything you can think of and it
> is all marked very well.  We spent a good hour or two just walking around
> and then brousing in the little store right next to it.
> 
> Hope someone else out their can enjoy this special place on their travels
> also.
> 
> ANd if anyone else has a special place they visited, please pass it along.
> 
> See yeah.

Check out Saso Herb Gardens in Saratoga, CA (between Santa Cruz and 
San Jose).  He's been growing herbs organically there for about 30 
years, and it's a great place to visit. Louis Saso is a great guy, one
of the elders of organic herb gardening.